Stop Cygwin CI

This commit is contained in:
John Hood
2022-10-28 23:57:23 -04:00
committed by Alex Chernyakhovsky
parent 325098ac07
commit 2224465cc9
2 changed files with 0 additions and 104 deletions
-50
View File
@@ -1,50 +0,0 @@
#!/bin/sh
#
# Cleanup for Appveyor peculiarities.
#
# Echo, eval, and error on shell commands.
eeval()
{
echo "$0: $*" >&2
eval "$@"
rv=$?
if [ $rv -ne 0 ]; then
echo "$0: failed, exitcode $rv"
exit $rv
fi
return 0
}
# We inherit a broken Windows path with a Windows Git.
PATH=/bin
# This supposedly fixes some failures.
exec 0</dev/null
# Mosh-specific environment
export LANG=en_US.UTF-8
case $1 in
before_build)
# This repo was checked out with Windows Git, repair it for Cygwin.
eeval git config --local core.symlinks true
eeval git clean --force --quiet -x -d
eeval git reset --hard
;;
build_script)
eeval ./autogen.sh
eeval ./configure --enable-compile-warnings=error --enable-examples
eeval make distcheck VERBOSE=1 V=1
;;
wait)
touch wait.lck
while [ -f wait.lck ]; do
sleep 10
done
;;
*)
echo "Fail: $0 $*"
exit 2
;;
esac
-54
View File
@@ -1,54 +0,0 @@
#
# Appveyor configuration file for CI build of Mosh on Windows (under Cygwin)
#
# For further details see http://www.appveyor.com
#
#
# Custom environment variables
#
environment:
global:
CYG_ROOT: C:\cygwin64
CYG_MIRROR: http://cygwin.mirror.constant.com
CYG_CACHE: C:\cygwin64\var\cache\setup
CYG_BASH: C:\cygwin64\bin\bash
cache:
- '%CYG_CACHE%'
#
# Do a shallow clone of the repo to speed up build
#
# clone_depth: 1
# Initialisation prior to pulling the repository
# Attempt to ensure we don't try to convert line endings to Win32 CRLF as this will cause build to fail
init:
# - ps: $blockRdp = $true; iex ((new-object net.webclient).DownloadString('https://raw.githubusercontent.com/appveyor/ci/master/scripts/enable-rdp.ps1'))
- git config --global core.autocrlf input
#
# Install needed build dependencies
#
install:
- '%CYG_ROOT%\setup-x86_64.exe --quiet-mode --no-shortcuts --upgrade-also --packages autoconf,autogen,automake,cygwin-devel,git,gcc-core,gcc-g++,libncurses-devel,libprotobuf-devel,libssl-devel,make,openssh,perl,perl_pods,pkg-config,tmux,zlib-devel'
- '%CYG_ROOT%\bin\cygcheck -dc'
#
# Mosh uses symlinks and other Unixisms in the work dir. Fix by replacing it with a Cygwin checkout.
#
before_build:
- '%CYG_BASH% -lc "cd $APPVEYOR_BUILD_FOLDER && ./appveyor.sh before_build"'
# Build and test, actually.
build_script:
- 'echo Building...'
- '%CYG_BASH% -lc "cd $APPVEYOR_BUILD_FOLDER && ./appveyor.sh build_script"'
#
# Disable tests for now
#
test: off
# on_finish:
# - '%CYG_BASH% -lc "cd $APPVEYOR_BUILD_FOLDER && ./appveyor.sh wait"'